commit:     961ecebc683c0e50d0e2ea21ebb693e4a9cdb8ea
Author:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
AuthorDate: Mon Apr 27 06:02:36 2020 +0000
Commit:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
CommitDate: Mon Apr 27 08:37:18 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=961ecebc

net-analyzer/tcping: Version 1.3.6

Package-Manager: Portage-2.3.99, Repoman-2.3.22
Signed-off-by: Jeroen Roovers <jer <AT> gentoo.org>

 net-analyzer/tcping/Manifest            |  1 +
 net-analyzer/tcping/tcping-1.3.6.ebuild | 28 ++++++++++++++++++++++++++++
 2 files changed, 29 insertions(+)

diff --git a/net-analyzer/tcping/Manifest b/net-analyzer/tcping/Manifest
index 9cf79e02505..93156ec4abf 100644
--- a/net-analyzer/tcping/Manifest
+++ b/net-analyzer/tcping/Manifest
@@ -1 +1,2 @@
 DIST tcping-1.3.5.tar.gz 5889 BLAKE2B 
8636d1fa4ff65eb14c8fe3c8d6e5b31740b84f0ccc1517b8b35ac613ace3be4b7584b6b7ccd5cf7737c7b7fea678d8d85ac54c00186ce79920dd1756c8c66fd3
 SHA512 
729360cd1f820ec7c68e2c64365caf60daace8c486c64fe96a88d1037b9818dd27603408962842b74d0db1ee2306ef68522f3f3369c1390e4554929297de760d
+DIST tcping-1.3.6.tar.gz 3329 BLAKE2B 
cd69e259d930532810bf3b19d22db981d644051e472d6356e442df2074ebd6fe675b62540190f465127bdcd0c248f329b3e5c167a6c4408acfef029297b5e181
 SHA512 
74c65f292d6521dfbf8784ae9e1988a12ad224c81f6575ada1cae55b079cf9c13707be52cb9147abe02c8787ebbedb0d9fca1f2c27fb57c32eea5817c7042992

diff --git a/net-analyzer/tcping/tcping-1.3.6.ebuild 
b/net-analyzer/tcping/tcping-1.3.6.ebuild
new file mode 100644
index 00000000000..ac21b008725
--- /dev/null
+++ b/net-analyzer/tcping/tcping-1.3.6.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit toolchain-funcs
+
+DESCRIPTION="Check if a desired port is reachable via TCP"
+HOMEPAGE="https://github.com/mkirchner/tcping";
+SRC_URI="https://github.com/mkirchner/${PN}/archive/${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="MIT-with-advertising"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+src_prepare() {
+       default
+       sed -e '/^CC=/s:=:?=:' \
+               -e '/^CCFLAGS/s:=:+=:' \
+               -e 's/$(CCFLAGS)/$(CCFLAGS) $(LDFLAGS)/' \
+               -i Makefile || die
+       tc-export CC
+       export CCFLAGS="${CFLAGS}"
+}
+
+src_install() {
+       dobin tcping
+       dodoc README
+}

Reply via email to